Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.conn.scheme
Interface HostNameResolver

Deprecated. (4.1) Do not use

    @Deprecated
    public interface HostNameResolver

Hostname to IP address resolver.

Since:
  4.0

Method Summary
`InetAddress` | `resolve(String hostname)` Deprecated. Resolves given hostname to its IP address

Method Detail

### resolve

    InetAddress resolve(String hostname)
                        throws IOException

  Deprecated.
  Resolves given hostname to its IP address

  Parameters:
    `hostname` - the hostname.
  Returns:
    IP address.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.